Summary:   Multibyte Console for Linux Frame Buffer Device
Summary(ko): 리눅스 프레임 버퍼를 이용한 다국어 콘솔
Name:      jfbterm
Version:   0.4.7
Release:   7%{?dist}
Epoch: 1
License:   BSD
Group:     Applications/System
Source0:   http://kldp.net/frs/download.php/4669/jfbterm-0.4.7-7-han-3.5.tar.gz
Source1:   jfbterm.conf
Source2:   jfbterm-font-pack-1.tar.gz
Source3:   jfbterm.sh
Patch1:    jfbterm-0.4.7-remove-sticky.patch
Patch10:   jfbterm-0.4.7-remove-warning.patch
Patch11:   jfbterm-0.4.7-mmap-newkernel.patch
Patch12:   jfbterm-0.4.7-hang-onexit.patch
Patch13:   jfbterm-0.4.7-pagemask_userspace.patch
# Some people see jfbterm hang or segv with invalid ut_id
# (bug 698532)
Patch15:   jfbterm-0.4.7-hang-on-utmp-refresh-with-invalid-utid.patch

BuildRoot:   %{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)
URL:         http://jfbterm.sourceforge.jp/

BuildRequires:   gzip
# BuildRequires:   autoconf
# for tic
BuildRequires:   ncurses
# Now efont-unicode-bdf is split.
# Now fonts are symlinks so really these rpms are required.
#Requires:   efont-unicode-bdf
#Requires:   xorg-x11-fonts-base
#Requires:   xorg-x11-fonts-misc
#Requires:   fonts-japanese

%description
JFBTERM/ME takes advantages of framebuffer device that is 
supported since linux kernel 2.2.x (at least on ix86 architecture) 
and make it enable to display multilingual text on console. 
It is developed on ix86 architecture, and it will works on 
other architectures such as linux/ppc.

Features:
   * It works with framebuffer device instead of VGA.
   * It supports pcf format font
   * It is not so fast because it doesn't take any advantages 
     of accelaration.
   * It also support coding systems other than ISO-2022, 
     such as SHIFT-JIS by using iconv(3).
   * It is userland program.

%prep
%setup -q -n %{name}-0.4.7-7-han-3.5
%patch1 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch15 -p1

#autoconf
touch Makefile.in aclocal.m4 config.h.in configure stamp-h.in

%build
%configure --enable-direct-color
touch stamp-h
%{__make} %{?_smp_mflags}

tic -C terminfo.jfbterm > jfbterm.termcap

%install
%{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_sysconfdir}/profile.d
%{__mkdir_p} %{buildroot}%{_datadir}/fonts/

%{__install} -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/profile.d/zjfbterm.sh

(
	pushd %{buildroot}%{_datadir}/fonts/
	tar xvfpz %{SOURCE2}
	mv jfbterm-font-pack-1 jfbterm
	popd
)

%{__make} DESTDIR=%{buildroot} install

%{__install} -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/jfbterm.conf

%{__mkdir_p} %{buildroot}%{_mandir}/man1
%{__mkdir_p} %{buildroot}%{_mandir}/man5
%{__install} -m 644 jfbterm.1 %{buildroot}%{_mandir}/man1
%{__install} -m 644 jfbterm.conf.5 %{buildroot}%{_mandir}/man5

%{__mkdir_p} %{buildroot}%{_datadir}/terminfo/j
tic -o %{buildroot}%{_datadir}/terminfo terminfo.jfbterm

%{__cat} > 60-jfbterm.perms <<EOF
# permission definitions
<console> 0660 /dev/tty0    0660 root
<console> 0600 /dev/console 0600 root
EOF

%{__mkdir_p} -m 755 %{buildroot}%{_sysconfdir}/security/console.perms.d
%{__install} -m 644 60-jfbterm.perms \
   %{buildroot}%{_sysconfdir}/security/console.perms.d/

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc jfbterm.termcap
%{_bindir}/jfbterm
%config(noreplace) %{_sysconfdir}/jfbterm.conf
%config(noreplace) %{_sysconfdir}/security/console.perms.d/60-jfbterm.perms
%{_datadir}/fonts/jfbterm
%dir %{_datadir}/fonts
%{_mandir}/man1/jfbterm.1*
%{_mandir}/man5/jfbterm.conf.5*
%dir %{_sysconfdir}/jfbterm-han
%dir %{_sysconfdir}/jfbterm-han/keyboard
%{_sysconfdir}/jfbterm-han/keyboard/*
%{_sysconfdir}/profile.d/z%{name}.sh

%changelog
* Sat Jan 21 2012 JoungKyun.Kim <http://oops.org> - 1:0.4.7-7%{?dist}
- build hangul patch version on KLDP.net

